[arch-commits] Commit in python-pyftpdlib/repos (2 files)

Felix Yan felixonmars at archlinux.org
Mon Nov 4 14:54:51 UTC 2019


    Date: Monday, November 4, 2019 @ 14:54:50
  Author: felixonmars
Revision: 524087

archrelease: copy trunk to community-staging-any

Added:
  python-pyftpdlib/repos/community-staging-any/
  python-pyftpdlib/repos/community-staging-any/PKGBUILD
    (from rev 524086, python-pyftpdlib/trunk/PKGBUILD)

----------+
 PKGBUILD |   62 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 62 insertions(+)

Copied: python-pyftpdlib/repos/community-staging-any/PKGBUILD (from rev 524086, python-pyftpdlib/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD	                        (rev 0)
+++ community-staging-any/PKGBUILD	2019-11-04 14:54:50 UTC (rev 524087)
@@ -0,0 +1,62 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
+# Contributor: Thomas S Hatch <thatch45 at gmail.com>
+
+pkgbase=python-pyftpdlib
+pkgname=('python-pyftpdlib' 'python2-pyftpdlib')
+pkgver=1.5.5
+pkgrel=2
+pkgdesc='Very fast asynchronous FTP server library'
+arch=('any')
+url='https://github.com/giampaolo/pyftpdlib/'
+license=('MIT')
+makedepends=('python-setuptools' 'python2-setuptools' 'python-pysendfile' 'python2-pysendfile')
+checkdepends=('python-pytest-runner' 'python2-pytest-runner' 'python-mock' 'python2-mock'
+              'python-pyopenssl' 'python2-pyopenssl' 'python-psutil' 'python2-psutil')
+source=("https://pypi.io/packages/source/p/pyftpdlib/pyftpdlib-$pkgver.tar.gz")
+sha512sums=('27427154f893812f689adf3a9ceb4ec2d8f0ea7a4bf7b08671dc146c95f09ddd596a27c85e009d8d6647277def48c0bf0a8b76fb3fba5818eda3dfdc6c10795e')
+
+prepare() {
+  cp -a pyftpdlib-$pkgver{,-py2}
+}
+
+build() {
+  cd "$srcdir"/pyftpdlib-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/pyftpdlib-$pkgver-py2
+  python2 setup.py build
+}
+
+check() {
+  # https://github.com/giampaolo/pyftpdlib/issues/500
+
+  cd "$srcdir"/pyftpdlib-$pkgver
+  python setup.py pytest || warning "Tests failed"
+
+  cd "$srcdir"/pyftpdlib-$pkgver-py2
+  python2 setup.py pytest || warning "Tests failed"
+}
+
+package_python-pyftpdlib() {
+  depends=('python')
+  optdepends=('python-pyopenssl: FTPS support'
+              'python-psutil: to keep track of FTP server memory usage')
+
+  cd pyftpdlib-$pkgver
+  python setup.py install --root="$pkgdir" -O1
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+package_python2-pyftpdlib() {
+  depends=('python2')
+  optdepends=('python2-pyopenssl: FTPS support'
+              'python2-pysendfile: Speed up file transfers'
+              'python2-psutil: to keep track of FTP server memory usage')
+
+  cd pyftpdlib-$pkgver-py2
+  python2 setup.py install --root="$pkgdir" -O1
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+
+  mv "$pkgdir"/usr/bin/ftpbench{,2}
+}



More information about the arch-commits mailing list